---
title: 什么是自身的价值
date: 2019-04-13 22:26:10
tags:
categories:
  - writing
---

身边人的认同，等于自身价值吗？

最近陷入了深度的自我怀疑。一直以来，我都对自己的能力非常有自信，虽然远没到自负，但内心也是自傲的。我会觉得自己比身边的人要强，而且即使现在我不如别人，不远的将来也会超过他们，将他们甩在身后。

<!-- more -->

在成长过程上，我绝对算不上一帆风顺，甚至是充满波折。但在这波折之中一个稳定的变化就是，**我一直在超越曾经的对手或假想敌**。我不是像某些人一样从小就成绩优异，最多只是在班里名列前茅，但也很少是最前面几个。小学时有个稳定的「对手」，他一直在年级稳坐第一，从一年级到五年级。之后我们一起跳级到了不同的初中，再后来得知他开始早恋逃课去网吧，第一个假想敌自爆了。在中学时，我的成绩也只在重点高中及格线上，班级里有不少人比我强，甚至我在 100 多名游离的时候，有几个动不动就是年级前十让我很是钦佩。到了考高中，我果然是勉强过线，跟这些假想敌一起上了高中，但到了高中之后，第一个月考就把这些敌人远远地甩在了身后，当然这跟我上了高中后痛定思痛地苦学一个月不无关系。

在高中的时候，因为文理分科，一直以来我的数理化优势体现了出来，成绩比以前好了不少。同时因为对一些文学名著感兴趣，语文也从全校（1300多人）1000 多名上升到了全市前 50，英语也在几年努力下达到了一般水平。即使这样，我也没有像某些人狂刷题，而是有条不紊地总结题型和经验。每过一个月就有一次的月考对别人来说是煎熬，对我来说却像放假一样，因为可以不用上课，考试提前完成还可以睡觉。这个时候我就已经觉得我的学习方式跟别人完全不同，我从不死读书，而是擅长总结规律，这也可能是理科爱好者的思维习惯。最后的高考成绩出来，虽然我的理综没有平时高，最擅长的数学也考的一般（对我来说就是考砸了），总的说来发挥算一般，但没有失常就是幸事。即使这样，最后的成绩依然把一些高中的假想敌甩在了身后。

上了大学后，渐渐地偏离了学术的道路，本来我也不是死读书的，喜欢动手实践，这也是理科乐趣的来源。从大一就参加了科协的社团，在大二参加了一个学长牵头的小组织——蠡湖电子实验室。这是一个学生自发组织，也申请（占用）了学院创新基地几间实验室，并且在内部组队参加各种比赛以及平日交流的小团体。要说特点就是物以类聚人以群分，这个小团体里面的很多人都是喜欢动手实践的，从此基本就泡在实验室有两年时间，也偏离了纯学术的道路，而以前我是认为自己一定会走上科研之路的。几年下来，参加了不少比赛和项目，积累了很多实战经验。虽然跟实验室的优秀同学比起来只能说一般，但跟班级的同学比起来，确实是大神级别的存在。我甚至觉得班级里的同学不学无术，对实践的掌握甚至不如我的十分之一，这绝不夸张，这让我对所谓 211 学校的学术氛围挺失望，还好我在一个很厉害的团体里面。

其实叙述了这么长的成长经历，这才引出我想讨论的点。从学习时代的「学神」，到大学之后的「大神」，甚至在后面参与到工作中时，**身边人总能在短短地相处中觉得我是个「大神」**。不管身处在什么环境中，总是能很快地让同学、朋友觉得我是个很厉害的人，而在家人亲戚眼里，也是一个有主见、能处理问题的人。

**其实我很清楚这是为什么**，上面讲这么一段，绝不是为了吹嘘自己（接下来才是吹嘘自己，作者注），这是别人的印象。而从我自己的角度理解，我觉得相比一般人，我是一个很有探索欲和钻研精神的，遇到一些问题经常是孜孜不倦的找到解决方案，加上本就对身边事物的好奇心，长此以来养成了一种 geek 思维。别人觉得我是「大神」，可能是在生活、工作、行为或习惯各种方面的 geek 气息让他们认同。打字一般的人可能服气我的打字速度和考古专用五笔，电脑用的生疏的可能佩服外行看起来颇有点眼花缭乱的全键盘+Vim操作。聊起天来我也总知道一些一般人没去探究过的生活上的通识。但尤其是工作之后，这种身边人的认同让我并没有那么舒适，因为我清楚自己的实力是深是浅。

说白了，身边人对我的认同，来源于我这个人散发出的各种习惯也好，性格魅力也好，博识也好，但这跟技术又有多大关系呢？我越来越感到警觉。每次再有人叫我大神，我都会赶紧提醒自己认清自己的位置，千万不能让别人麻痹自己。

但不管怎么说，身边的人总是能很认同我，我不知道这能不能算作自己的价值，至于结论，还要配合下文来看。

---

说完了自己的成长经历以及生活中别人对我的看法，再说说自己。

一直以来我也确实是很自信，也在做着超越别人的事，虽然后来我总结之后发现，我并没有太超速发展，而我的那些假想敌在掉队。一直以来我做到的是保持自己的竞争力，而我的假想敌却在一轮轮淘汰中一个个掉队了。后来因为考研和转行的风波，我也一定程度上掉队了，但我还是相信自己的能力，我觉得我能很快回到正轨。但现在有点怀疑自己了。

我们先来看个例子。假如一件事情正常的工作量是五天，我只需要花半天就可以完成，而一个普通人需要四天。但最后的结果是普通人可以在第四天提前一天完成，而我可能会到第六天上午延期完成。任务拖到后面，可能从质量上来讲我有信心比别人的好，或者至少是用心的，但没达到我自己的标准。最后这种结果会让我觉得，我用半天时间完成了别人四天的工作量，虽然我延期了，但是我比别人强。

**这或许是错觉**？假如我不拖延的话，我就真的能在第一天的上午做完吗。又或者我只做半天，是不是根本忍受不了踏踏实实的工作四天，我的注意力就只能集中这么多，而最后的效率是被逼出来的，我真的很怀疑自己的能力到底如何。还有我以前经常晚上觉得精力旺盛，第二天还能起很早，一天都精神。但最近两天在看书学习，并且看书居多，十二点多还在坚持看，结果困的不行，看着看着就能睡着，床上一趴就睡着了，第二天六点起不来还得睡到七点半。

所以我的精力真的像之前感受的那样旺盛吗？在真正的高强度学习下，我也需要长时间的睡眠来恢复。六天才做完一个需求，别人四天搞定，**从结果上来看还不如一般人**。

---

其实最后这两段结合起来，就非常地矛盾，我到底是强如大牛，还是菜而不自知。其实我现在主观上倾向于后者（本来我就是一个非常“擅长”自责的人），至少我觉得我的能力需要得到证明，否则我真的很难再有信心说我比别人强在哪里。

我这样想有点悲观，但越是在找工作的时候，越是觉得，即使你再有能力，身边的人如何认同你，**你又怎么样才能在五分钟，或者一两个小时内，让一个陌生人做到同样程度的认同**？碰到一个相谈甚欢的知己吗，这怕是有点难。按照最一般的套路，还是看产出，你的产出或者成果就代表了你的能力。

但乐观点想，为什么我可以有清晰的思路很快地找到问题的解决方案，为什么在遇到一个问题时我比别人更容易去探索这个问题的本质是什么。又或者在代码质量和架构的设计中，我都有信心不输别人。也许六天完成就只是懒或者拖延的毛病而已，也许睡七个半小时还是比别人要强，而长时间阅读需要习惯——就让我夸夸自己吧，我需要一点自信心。即使是现在，我依然觉得不管我最后去了哪家公司，也绝对不是拖油瓶，我有自信在一个团队中，半年内达到团队中的人实力的前 1/3，这也是为什么我想去更优秀的团队，这对我自己的提升也像是乘上了银河列车一样。

我依然能看到内心深处还有那份自傲，但现在这份骄傲蒙了尘，深深地藏在了自卑的情绪之下。不是一句话一篇文章或者什么事情就能让它回来，**我需要沉淀，需要有产出去证明自己**。

二〇一九年四月十三晚
> 三天后就要去 b 站面试，谨以此文献给正在成长的自己，我需要多点自信 (゜-゜)つロ 干杯~




